# saga::name_space Namespace Reference

The Name Space API package. More...

## Classes
class | directory
| A "Virtual Directory", an RNS entry that is represented as a non-leaf node in the hierarchical name space tree. More...
class | entry
| An RNS entry that interconnects a reference to an existing resource into the hierarchical name space. More...
## Enumerations
enum | flags { Unknown = -1, None = 0, Overwrite = 1, Recursive = 2, Dereference = 4, Create = 8, Exclusive = 16, Lock = 32, CreateParents = 64, Read = 512, Write = 1024, ReadWrite = Read | Write }
| The flags describe the properties of several operations on namespace entries. More...

## Detailed Description

The Name Space API package.

Detailed description here...

## Enumeration Type Documentation

enum saga::name_space::flags

The flags describe the properties of several operations on namespace entries.

Packages which inherit from the namespace package use the same flag semantics unless specified otherwise, but will, in general, add additional flags to some operations.

Enumerator:

  Unknown |
  None |
  Overwrite |
  Recursive |
  Dereference |
  Create |
  Exclusive |
  Lock |
  CreateParents |
  Read |
  Write |
  ReadWrite |